org.fourthline.cling.transport.impl

## Class AsyncServletStreamServerImpl.AsyncServletConnection

- java.lang.Object
- - org.fourthline.cling.transport.impl.AsyncServletStreamServerImpl.AsyncServletConnection

- All Implemented Interfaces:
    Connection
  Enclosing class:
    AsyncServletStreamServerImpl

      protected class AsyncServletStreamServerImpl.AsyncServletConnection
      extends Object
      implements Connection

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.servlet.http.HttpServletRequest` | `request`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncServletConnection(javax.servlet.http.HttpServletRequest request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAddress` | `getLocalAddress()`
    `InetAddress` | `getRemoteAddress()`
    `javax.servlet.http.HttpServletRequest` | `getRequest()`
    `boolean` | `isOpen()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### request

          protected javax.servlet.http.HttpServletRequest request

  - ### Constructor Detail

    - #### AsyncServletConnection

          public AsyncServletConnection(javax.servlet.http.HttpServletRequest request)

  - ### Method Detail

    - #### getRequest

          public javax.servlet.http.HttpServletRequest getRequest()

    - #### isOpen

          public boolean isOpen()

      Specified by:
        `isOpen` in interface `Connection`

    - #### getRemoteAddress

          public InetAddress getRemoteAddress()

      Specified by:
        `getRemoteAddress` in interface `Connection`

    - #### getLocalAddress

          public InetAddress getLocalAddress()

      Specified by:
        `getLocalAddress` in interface `Connection`

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.